Skip to main content
PATCH
Update Silo
⚠️ Warning
  • This update process does not happen in real-time. It’s not suitable for scenarios where multiple users attempt to update data simultaneously.

Authorizations

X-MAN-API
string
header
required

The JSONSilo Manage API Key

Path Parameters

file_uuid
string
required

The Silo UUID, comprising 32 hexadecimal digits separated by 4 hyphens, totaling 36 characters.

Body

application/json
file_name
string

Choose a name for your silo that is easy to remember and understand. Rest assured, the silo name will not affect development or any sensitive aspects.

file_data

The data you want to store in the silo. It can be a JSON object or an array of objects.

region_name
enum<string>
default:api

Choose the region where you want to store your data. The default region is api.

Available options:
api,
sg-01-api,
usc-01-api
is_public
boolean
default:false

Silo access mode. If true, the silo is public; if false, the silo is private.

Response

Successful Response

file_name
string

Silo name. The silo name will not affect development or any sensitive aspects.

Example:

"new db"

file_uuid
string<uuid>

The Silo UUID, comprising 32 hexadecimal digits separated by 4 hyphens, totaling 36 characters.

region_name
string

The region where your data will be stored.

Example:

"api"

is_public
boolean

Silo access mode. If true, the silo is public; if false, the silo is private.

Example:

false

file_data

The data you want to store in the silo. It can be a JSON object or an array of objects.

created_at
string<date-time>

The date and time the silo was created in UTC.

Example:

"2024-12-07T12:52:28.094450+00:00"

updated_at
string<date-time>

The date and time the silo was last updated in UTC.

Example:

"2024-12-07T12:52:28.094450+00:00"